# $Revision: 1.3 $, $Date: 2002/09/12 22:21:29 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	DBIx
%define	pnam	Cursor
Summary:	DBIx::Cursor - Perl extension for easy DBI-access to a single table
Summary(pl):	DBIx::Cursor - rozszerzenie do atwego dostpu DBI do pojedynczych tabel
Name:		perl-DBIx-Cursor
Version:	0.14
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The class DBIx::Cursor represents a cursor for a single
Database-table. You can select, update, insert or delete entries in a
table easier than creating SQL-statements. It does not use any
specific features of any database, so it should work with every
DBD-driver.

%description -l pl
Klasa DBIx::Cursor reprezentuje kursor dla pojedynczej tabeli bazy
danych. Mona wykonywa operacje select, update, insert, delete na
elementach w tabeli atwiej od tworzenia wyrae SQL. Modu nie uywa
adnych cech specyficznych dla danej bazy, wic powinien dziaa z
kadym sterownikiem DBD.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-DBIx-Cursor.spec,v $
Revision 1.3  2002/09/12 22:21:29  radek
- version 0.14
STBR

Revision 1.2  2002/08/18 13:54:20  qboosh
- pl description, release ++

Revision 1.1  2002/08/09 00:35:56  radek
- new, STBR
